Difference between revisions of "Tracking Dependencies"

From Inkscape Wiki
Jump to: navigation, search
(Distros: Quantal released today, Raring announced, Lucid & Precise updated)
(Distros: Hide Raring until distro is available!)
Line 256: Line 256:
 
| 7.1
 
| 7.1
 
|-
 
|-
 +
<!--
 
| Ubuntu 13.04 (Raring) <small>EOL 2014-10</small> <small>(as of 2012-10-18)</small>
 
| Ubuntu 13.04 (Raring) <small>EOL 2014-10</small> <small>(as of 2012-10-18)</small>
 
| 1.12.2
 
| 1.12.2
Line 268: Line 269:
 
| 2.2.10
 
| 2.2.10
 
| 7.1
 
| 7.1
 +
->
 
|}
 
|}
  

Revision as of 11:20, 18 October 2012

Overview

We need help getting our basic lib dependencies listed out and kept up to date. Also we need to track which versions of which distros have the needed dependencies.

To get glib and GTK+ dependencies figured out, people can go through the API documentation and look for the 'since' entries saying when calls were added. Then look for those calls in our source. Voila! we'll have base minimum dependencies figured out.

Libs

C++ bindings are not included, since their required versions match those of the C counterparts.

Library v 0.48.x trunk
Boehm-GC 6.4 6.4
Cairo  ? 1.10
Cairomm  ? 1.10
GDK  ?  ?
GDL1 N/A (3.3.91)
Glib 2.16* 2.24
glibmm  ?  ?
GTK+ 2.12*
< 3.0
2.22
GNU Scientific Library  ?  ?
LittleCMS 1.13 1.13
libxml 2.6.11* 2.6.11*
libxslt 1.0.15* 1.0.15*
Pango  ?  ?
Poppler 0.5.9* 0.5.9*
libsigc++ 2.0.12* 2.0.12*

* Tentative dependency
1GDL 3.4 is only used with GTK+ 3 builds of trunk. GTK+ 2 builds make use of our internal copy of GDL.

Functions used

Function Lib Since Required
g_timeout_add_seconds Glib 2.14  ?

Distros

Note: This table is not relevant to (non-fink) MacOS X, where we ship the desired version with Inkscape.

Distro cairo cairomm glib glibmm gtk+ gtkmm pango gdl lcms libsigc++ libgc
Windows Devlibs 1.11.2 1.10.0 2.28.8 2.26.0 2.24.8 2.22.0 1.28.3 (none) 1.17 2.2.4.2 7.1
Debian 6.0 (Squeeze, stable) EOL ~2014? 1.8.10 1.8.4 2.24.2 2.24.2 2.20.1 2.20.3 1.28.3 2.30.1 1.18 2.2.4.2 6.8
Fedora 16 1.10.2 1.10.0 2.30.1 2.30.0 2.24.8
3.2.1
2.24.2
3.2.0
1.29.4 3.2.0 1.19
2.3
2.2.10 7.2~alpha
Fedora 17 1.10.2 1.10.0 2.32.3 2.32.0 2.24.10
3.4.3
2.24.2
3.4.0
1.30.0 3.4.2 1.19
2.3
2.2.10 7.2~alpha
Open SuSE 11.4 EOL 2012-11-05[1] 1.10.2 1.9.8 2.28.0 2.25.5 2.22.1 2.22.0 1.28.3 2.30.1 1.19
2.1
2.2.8 7.1
Open SuSE 12.1 EOL 2013-05-15 1.10.2 1.10.0 2.30.1 2.30.0 2.24.7
3.2.1
2.24.2
3.2.0
1.29.4 3.2.0 1.19
2.2
2.2.10 7.1
Ubuntu 10.04 LTS (Lucid) EOL 2013-04 (Desktop) 1.8.10 1.8.4 2.24.1 2.24.2 2.20.1 2.20.3 1.28.0 2.30.0 1.18 2.2.4.2 6.8
Ubuntu 11.04 (Natty) EOL 2012-10-28[2] 1.10.2 1.9.8 2.28.6 2.28.0 2.24.4
3.0.8
2.24.0 1.28.4 2.30.1 1.18 2.2.4.2 6.8
Ubuntu 11.10 (Oneiric) EOL 2013-04 1.10.2 1.10.0 2.30.0 2.30.0 2.24.6
3.2.0
2.24.2
3.2.0
1.29.3 3.1.5 1.19
2.2
2.2.10 7.1
Ubuntu 12.04 LTS (Precise) EOL 2017-04 1.10.2 1.10.0 2.32.3 2.32.0 2.24.10
3.4.2
2.24.2
3.4.0
1.30.0 3.3.91 1.19
2.2
2.2.10 7.1
Ubuntu 12.10 (Quantal) EOL 2014-04 1.12.2 1.10.0 2.34.0 2.33.13 2.24.13
3.6.0
2.24.2
3.5.13
1.30.1 3.6.0 1.19
2.2
2.2.10 7.1